User Accounts
List all user accounts
List UserAccount resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
/
v1
/
resources
/
user_account
List all user accounts
curl --request GET \
--url https://api.vanta.com/v1/resources/user_account \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/user_account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/user_account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"fullName": "<string>",
"accountName": "<string>",
"email": "<string>",
"permissionLevel": "ADMIN",
"createdTimestamp": "2023-11-07T05:31:56Z",
"status": "ACTIVE",
"mfaEnabled": true,
"mfaMethods": [
"UNSUPPORTED"
],
"authMethod": "SSO",
"roleDescription": "<string>",
"updatedTimestamp": "2023-11-07T05:31:56Z",
"deactivatedTimestamp": "2023-11-07T05:31:56Z",
"lastLoginTimestamp": "2023-11-07T05:31:56Z",
"lastPasswordResetTimestamp": "2023-11-07T05:31:56Z",
"groupIds": [
"<string>"
]
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Response
200 - application/json
List of resources.
Show child attributes
Show child attributes
Related topics
Sync all user accountsList all user security training statusesList all Windows User ComputersList all MacOS User ComputersSync all user security training statusesWas this page helpful?
⌘I
List all user accounts
